curl --request POST \
--url https://api.signa.so/v1/monitors \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"watches": [
{}
],
"webhook_url": "<string>",
"description": "<string>",
"offices": [
"<string>"
],
"webhook_secret": "<string>",
"webhook_events": [
"new_filing"
]
}
'{}Set up automated monitoring for trademark filings and changes.
Pricing: Monthly subscription (not credit-based)
curl --request POST \
--url https://api.signa.so/v1/monitors \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"watches": [
{}
],
"webhook_url": "<string>",
"description": "<string>",
"offices": [
"<string>"
],
"webhook_secret": "<string>",
"webhook_events": [
"new_filing"
]
}
'{}Use your API key from the dashboard. Include it in the Authorization header:
Authorization: Bearer YOUR_API_KEYGet your API key at https://signa.so/dashboard
new_filing, status_change, similar_mark_detected, trademark_published, trademark_registered, trademark_opposed, trademark_cancelled Monitor created
The response is of type object.